【JavaScript】ES6でjQueryプラグインをimportした際にjQueryのエラーが出る場合の対策


jQueryをES6でimportしているのにもかかわらず、プラグインをimportしたときにjQueryのエラーが出る場合の対策です。

Uncaught ReferenceError: jQuery is not defined

自分のケースではfeatherlightというプラグインをrequireして実行するとChromeで上記のエラーが出ました。

window.jQuery = $

を記述した後にrequire(‘featherlight’)とするとエラーが出ずに実行できました。

atnr.net の RSS登録はこちらから

コメントを残す

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です

*